Skip to main content
GET
/
v2
/
mining
/
companies
/
{slug}
Mining Company Detail
curl --request GET \
  --url https://api.sectors.app/v2/mining/companies/{slug}/ \
  --header 'Authorization: <authorization>'
{
    "name": "PT Adaro Andalan Indonesia Tbk",
    "slug": "adaro-andalan-indonesia",
    "idx_ticker": "AADI.JK",
    "company_type": "Holding",
    "operation_province": "Jakarta",
    "operation_district": "Jakarta Selatan",
    "key_operation": "Coal Trading",
    "representative_address": "Cyber 2 Tower Lantai 26, Jl. H.R. Rasuna Said Blok X-5, No.13, Jakarta 12950",
    "website": "www.adaroindonesia.com",
    "phone_number": "021-25533065",
    "email": "corsec@adaroindonesia.com",
    "activities": ["Trading"],
    "commodity_type": ["Coal"],
    "mining_license": [],
    "mining_contract": [],
    "mining_site_count": 0
}
{
    "name": "PT Adaro Andalan Indonesia Tbk",
    "slug": "adaro-andalan-indonesia",
    "idx_ticker": "AADI.JK",
    "company_type": "Holding",
    "operation_province": "Jakarta",
    "operation_district": "Jakarta Selatan",
    "key_operation": "Coal Trading",
    "representative_address": "Cyber 2 Tower Lantai 26, Jl. H.R. Rasuna Said Blok X-5, No.13, Jakarta 12950",
    "website": "www.adaroindonesia.com",
    "phone_number": "021-25533065",
    "email": "corsec@adaroindonesia.com",
    "activities": ["Trading"],
    "commodity_type": ["Coal"],
    "mining_license": [],
    "mining_contract": [],
    "mining_site_count": 0
}
Authorization
string
required
Authorization header that should be filled with your Sectors Financial API key.

Path Parameters

slug
string
required
The unique identifier (slug) of the mining company.

Response

name
string
The full name of the company.
slug
string
The unique URL-friendly identifier for the company.
idx_ticker
string | null
The company’s IDX ticker symbol.
company_type
string
The legal or functional type of the company.
operation_province
string
Province of the main operation office.
operation_district
string
District/City of the main operation office.
key_operation
string
A brief description of the company’s primary operations.
representative_address
string
Full address of the representative office.
website
string
Company’s official website.
phone_number
string
Company’s contact phone number.
email
string
Company’s contact email address.
activities
string[]
List of the company’s business activities.
commodity_type
string[]
List of commodities the company deals with.
mining_license
object[]
List of detailed mining licenses held by the company.
mining_contract
object[]
List of mining contracts associated with the company.
mining_site_count
integer
The total number of mining sites associated with this company.